mallow docs

Remove gumball item

POST
/v2/tx/gumball/remove-item

Builds the transaction removing an unsold item from gumballMachine and returning it to seller. authority signs, and must be the machine's authority or the item's seller.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/tx/gumball/remove-item" \  -H "Content-Type: application/json" \  -d '{    "authority": "string",    "seller": "string",    "gumballMachine": "string",    "asset": "string",    "index": 0  }'
{  "result": {    "tx": "string",    "setupTx": "string"  }}